Package com.ocient.jdbc.proto

# Class PlanProtocol.SwitchOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.SwitchOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SwitchOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.SwitchOperator

    public static final class PlanProtocol.SwitchOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>
    implements PlanProtocol.SwitchOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.SwitchOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.SwitchOperator.Builder` | `addAllFilters​(Iterable<? extends PlanProtocol.CNF> values)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `addAllPostFilterCheckedCols​(Iterable<? extends PlanProtocol.CheckedExceptionCols> values)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `addAllPreFilterCheckedCols​(Iterable<? extends PlanProtocol.CheckedExceptionCols> values)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `addFilters​(int index, PlanProtocol.CNF value)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `addFilters​(int index, PlanProtocol.CNF.Builder builderForValue)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `addFilters​(PlanProtocol.CNF value)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `addFilters​(PlanProtocol.CNF.Builder builderForValue)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNF.Builder` | `addFiltersBuilder()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNF.Builder` | `addFiltersBuilder​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `addPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `addPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `addPostFilterCheckedCols​(PlanProtocol.CheckedExceptionCols value)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `addPostFilterCheckedCols​(PlanProtocol.CheckedExceptionCols.Builder builderForValue)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionCols.Builder` | `addPostFilterCheckedColsBuilder()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionCols.Builder` | `addPostFilterCheckedColsBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `addPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `addPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `addPreFilterCheckedCols​(PlanProtocol.CheckedExceptionCols value)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `addPreFilterCheckedCols​(PlanProtocol.CheckedExceptionCols.Builder builderForValue)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.CheckedExceptionCols.Builder` | `addPreFilterCheckedColsBuilder()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.CheckedExceptionCols.Builder` | `addPreFilterCheckedColsBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.SwitchOperator` | `build()` |
`PlanProtocol.SwitchOperator` | `buildPartial()` |
`PlanProtocol.SwitchOperator.Builder` | `clear()` |
`PlanProtocol.SwitchOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.SwitchOperator.Builder` | `clearFilters()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.SwitchOperator.Builder` | `clearPostFilterCheckedCols()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `clearPreFilterCheckedCols()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `clone()` |
`PlanProtocol.SwitchOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`PlanProtocol.CNF` | `getFilters​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNF.Builder` | `getFiltersBuilder​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<PlanProtocol.CNF.Builder>` | `getFiltersBuilderList()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`int` | `getFiltersCount()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<PlanProtocol.CNF>` | `getFiltersList()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNFOrBuilder` | `getFiltersOrBuilder​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<? extends PlanProtocol.CNFOrBuilder>` | `getFiltersOrBuilderList()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CheckedExceptionCols` | `getPostFilterCheckedCols​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionCols.Builder` | `getPostFilterCheckedColsBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`List<PlanProtocol.CheckedExceptionCols.Builder>` | `getPostFilterCheckedColsBuilderList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`int` | `getPostFilterCheckedColsCount()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`List<PlanProtocol.CheckedExceptionCols>` | `getPostFilterCheckedColsList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionColsOrBuilder` | `getPostFilterCheckedColsOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`List<? extends PlanProtocol.CheckedExceptionColsOrBuilder>` | `getPostFilterCheckedColsOrBuilderList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionCols` | `getPreFilterCheckedCols​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.CheckedExceptionCols.Builder` | `getPreFilterCheckedColsBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`List<PlanProtocol.CheckedExceptionCols.Builder>` | `getPreFilterCheckedColsBuilderList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`int` | `getPreFilterCheckedColsCount()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`List<PlanProtocol.CheckedExceptionCols>` | `getPreFilterCheckedColsList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.CheckedExceptionColsOrBuilder` | `getPreFilterCheckedColsOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`List<? extends PlanProtocol.CheckedExceptionColsOrBuilder>` | `getPreFilterCheckedColsOrBuilderList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.SwitchOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.SwitchOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.SwitchOperator.Builder` | `mergeFrom​(PlanProtocol.SwitchOperator other)` |
`PlanProtocol.SwitchOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.SwitchOperator.Builder` | `removeFilters​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `removePostFilterCheckedCols​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `removePreFilterCheckedCols​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.SwitchOperator.Builder` | `setFilters​(int index, PlanProtocol.CNF value)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `setFilters​(int index, PlanProtocol.CNF.Builder builderForValue)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.SwitchOperator.Builder` | `setPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `setPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.SwitchOperator.Builder` | `setPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `setPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.SwitchOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.SwitchOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### clear

public PlanProtocol.SwitchOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.SwitchOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.SwitchOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.SwitchOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.SwitchOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### setField

public PlanProtocol.SwitchOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### clearField

public PlanProtocol.SwitchOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### clearOneof

public PlanProtocol.SwitchOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### setRepeatedField

public PlanProtocol.SwitchOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### addRepeatedField

public PlanProtocol.SwitchOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### mergeFrom

public PlanProtocol.SwitchOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SwitchOperator.Builder>`

### mergeFrom

public PlanProtocol.SwitchOperator.Builder mergeFrom​(PlanProtocol.SwitchOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### mergeFrom

public PlanProtocol.SwitchOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SwitchOperator.Builder>`
Throws:
  `IOException`

### getFiltersList

public List<PlanProtocol.CNF> getFiltersList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getFiltersCount

public int getFiltersCount()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getFilters

public PlanProtocol.CNF getFilters​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFilters` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### setFilters

public PlanProtocol.SwitchOperator.Builder setFilters​(int index, PlanProtocol.CNF value)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### setFilters

public PlanProtocol.SwitchOperator.Builder setFilters​(int index, PlanProtocol.CNF.Builder builderForValue)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### addFilters

public PlanProtocol.SwitchOperator.Builder addFilters​(PlanProtocol.CNF value)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### addFilters

public PlanProtocol.SwitchOperator.Builder addFilters​(int index, PlanProtocol.CNF value)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### addFilters

public PlanProtocol.SwitchOperator.Builder addFilters​(PlanProtocol.CNF.Builder builderForValue)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### addFilters

public PlanProtocol.SwitchOperator.Builder addFilters​(int index, PlanProtocol.CNF.Builder builderForValue)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### addAllFilters

public PlanProtocol.SwitchOperator.Builder addAllFilters​(Iterable<? extends PlanProtocol.CNF> values)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### clearFilters

public PlanProtocol.SwitchOperator.Builder clearFilters()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### removeFilters

public PlanProtocol.SwitchOperator.Builder removeFilters​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFiltersBuilder

public PlanProtocol.CNF.Builder getFiltersBuilder​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFiltersOrBuilder

public PlanProtocol.CNFOrBuilder getFiltersOrBuilder​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getFiltersOrBuilderList

public List<? extends PlanProtocol.CNFOrBuilder> getFiltersOrBuilderList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### addFiltersBuilder

public PlanProtocol.CNF.Builder addFiltersBuilder()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### addFiltersBuilder

public PlanProtocol.CNF.Builder addFiltersBuilder​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFiltersBuilderList

public List<PlanProtocol.CNF.Builder> getFiltersBuilderList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getPreFilterCheckedColsList

public List<PlanProtocol.CheckedExceptionCols> getPreFilterCheckedColsList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

Specified by:
  `getPreFilterCheckedColsList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getPreFilterCheckedColsCount

public int getPreFilterCheckedColsCount()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

Specified by:
  `getPreFilterCheckedColsCount` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getPreFilterCheckedCols

public PlanProtocol.CheckedExceptionCols getPreFilterCheckedCols​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

Specified by:
  `getPreFilterCheckedCols` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### setPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder setPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### setPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder setPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### addPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPreFilterCheckedCols​(PlanProtocol.CheckedExceptionCols value)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### addPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### addPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPreFilterCheckedCols​(PlanProtocol.CheckedExceptionCols.Builder builderForValue)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### addPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPreFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### addAllPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addAllPreFilterCheckedCols​(Iterable<? extends PlanProtocol.CheckedExceptionCols> values)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### clearPreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder clearPreFilterCheckedCols()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### removePreFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder removePreFilterCheckedCols​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedColsBuilder

public PlanProtocol.CheckedExceptionCols.Builder getPreFilterCheckedColsBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedColsOrBuilder

public PlanProtocol.CheckedExceptionColsOrBuilder getPreFilterCheckedColsOrBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

Specified by:
  `getPreFilterCheckedColsOrBuilder` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getPreFilterCheckedColsOrBuilderList

public List<? extends PlanProtocol.CheckedExceptionColsOrBuilder> getPreFilterCheckedColsOrBuilderList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

Specified by:
  `getPreFilterCheckedColsOrBuilderList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### addPreFilterCheckedColsBuilder

public PlanProtocol.CheckedExceptionCols.Builder addPreFilterCheckedColsBuilder()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### addPreFilterCheckedColsBuilder

public PlanProtocol.CheckedExceptionCols.Builder addPreFilterCheckedColsBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedColsBuilderList

public List<PlanProtocol.CheckedExceptionCols.Builder> getPreFilterCheckedColsBuilderList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPostFilterCheckedColsList

public List<PlanProtocol.CheckedExceptionCols> getPostFilterCheckedColsList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

Specified by:
  `getPostFilterCheckedColsList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getPostFilterCheckedColsCount

public int getPostFilterCheckedColsCount()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

Specified by:
  `getPostFilterCheckedColsCount` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getPostFilterCheckedCols

public PlanProtocol.CheckedExceptionCols getPostFilterCheckedCols​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

Specified by:
  `getPostFilterCheckedCols` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### setPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder setPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### setPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder setPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### addPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPostFilterCheckedCols​(PlanProtocol.CheckedExceptionCols value)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### addPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols value)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### addPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPostFilterCheckedCols​(PlanProtocol.CheckedExceptionCols.Builder builderForValue)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### addPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addPostFilterCheckedCols​(int index, PlanProtocol.CheckedExceptionCols.Builder builderForValue)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### addAllPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder addAllPostFilterCheckedCols​(Iterable<? extends PlanProtocol.CheckedExceptionCols> values)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### clearPostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder clearPostFilterCheckedCols()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### removePostFilterCheckedCols

public PlanProtocol.SwitchOperator.Builder removePostFilterCheckedCols​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedColsBuilder

public PlanProtocol.CheckedExceptionCols.Builder getPostFilterCheckedColsBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedColsOrBuilder

public PlanProtocol.CheckedExceptionColsOrBuilder getPostFilterCheckedColsOrBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

Specified by:
  `getPostFilterCheckedColsOrBuilder` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### getPostFilterCheckedColsOrBuilderList

public List<? extends PlanProtocol.CheckedExceptionColsOrBuilder> getPostFilterCheckedColsOrBuilderList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

Specified by:
  `getPostFilterCheckedColsOrBuilderList` in interface `PlanProtocol.SwitchOperatorOrBuilder`

### addPostFilterCheckedColsBuilder

public PlanProtocol.CheckedExceptionCols.Builder addPostFilterCheckedColsBuilder()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### addPostFilterCheckedColsBuilder

public PlanProtocol.CheckedExceptionCols.Builder addPostFilterCheckedColsBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedColsBuilderList

public List<PlanProtocol.CheckedExceptionCols.Builder> getPostFilterCheckedColsBuilderList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### setUnknownFields

public final PlanProtocol.SwitchOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.SwitchOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SwitchOperator.Builder>`